=== debian/changelog ===
ros-foxy-rclcpp-action (2.4.3-1focal) focal; urgency=high

  * Revert "Revert "extract the result response before the callback is is… (backport #2152 <https://github.com/ros2/rclcpp/issues/2152>) (#2153 <https://github.com/ros2/rclcpp/issues/2153>)
  * Contributors: Tomoya Fujita

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rclcpp-action (2.4.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-foxy-rclcpp-action (2.4.1-1focal) focal; urgency=high

  * Add node_waitables_ to copy constructor (backport #1799 <https://github.com/ros2/rclcpp/issues/1799>) (#1834 <https://github.com/ros2/rclcpp/issues/1834>)
  * Contributors: Abrar Rahman Protyasha, Tomoya Fujita

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-rclcpp-action (2.4.0-1focal) focal; urgency=high

  * Fix occasionally missing goal result caused by race condition (#1677 <https://github.com/ros2/rclcpp/issues/1677>) (#1682 <https://github.com/ros2/rclcpp/issues/1682>)
  * Returns CancelResponse::REJECT while goal handle failed to transit to CANCELING state (#1641 <https://github.com/ros2/rclcpp/issues/1641>) (#1659 <https://github.com/ros2/rclcpp/issues/1659>)
  * Fix action server deadlock issue that caused by other mutexes locked in CancelCallback (#1635 <https://github.com/ros2/rclcpp/issues/1635>) (#1654 <https://github.com/ros2/rclcpp/issues/1654>)
  * Contributors: Kaven Yau, Tomoya Fujita

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rclcpp-action (2.3.1-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1616 <https://github.com/ros2/rclcpp/issues/1616>)
  * node_handle must be destroyed after client_handle to prevent memory leak (#1562 <https://github.com/ros2/rclcpp/issues/1562>) (#1565 <https://github.com/ros2/rclcpp/issues/1565>)
  * Fix action server deadlock (#1285 <https://github.com/ros2/rclcpp/issues/1285>) (#1313 <https://github.com/ros2/rclcpp/issues/1313>)  (#1518 <https://github.com/ros2/rclcpp/issues/1518>)
  * Contributors: Chris Lalancette, Daisuke Sato, Simon Honigmann, Tomoya Fujita

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rclcpp-action (2.3.0-1focal) focal; urgency=high

  * Update QD to QL 1 (#1480 <https://github.com/ros2/rclcpp/issues/1480>)
  * Add rclcpp_action action_server benchmarks (#1433 <https://github.com/ros2/rclcpp/issues/1433>)
  * Benchmark rclcpp_action action_client (#1429 <https://github.com/ros2/rclcpp/issues/1429>)
  * Increase test timeout necessary for Connext (#1256 <https://github.com/ros2/rclcpp/issues/1256>)
  * Increase coverage rclcpp_action to 95% (#1290 <https://github.com/ros2/rclcpp/issues/1290>)
  * Increase rclcpp_action test coverage (#1153 <https://github.com/ros2/rclcpp/issues/1153>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Louise Poubel, Michel Hidalgo, Stephen Brawner, ahcorde, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rclcpp-action (2.2.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-foxy-rclcpp-action (2.1.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 03 Aug 2020 00:00:00 -0000

ros-foxy-rclcpp-action (2.0.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-rclcpp-action (2.0.1-1focal) focal; urgency=high

  * Fixed doxygen warnings (#1163 <https://github.com/ros2/rclcpp/issues/1163>) (#1191 <https://github.com/ros2/rclcpp/issues/1191>)
  * Contributors: Alejandro Hernández Cordero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rclcpp-action (2.0.0-1focal) focal; urgency=high

  * Added missing virtual destructors. (#1149 <https://github.com/ros2/rclcpp/issues/1149>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#1130 <https://github.com/ros2/rclcpp/issues/1130>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rclcpp-action (1.1.0-1focal) focal; urgency=high

  * Action client holds weak pointers to goal handles (#1122 <https://github.com/ros2/rclcpp/issues/1122>)
  * Deprecate ClientGoalHandle::async_result() (#1120 <https://github.com/ros2/rclcpp/issues/1120>)
  * Improve documentation (#1106 <https://github.com/ros2/rclcpp/issues/1106>)
  * Fixed rep links and added more details to dependencies in quality declaration (#1116 <https://github.com/ros2/rclcpp/issues/1116>)
  * Update quality declaration to reflect version 1.0 (#1115 <https://github.com/ros2/rclcpp/issues/1115>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron, Stephen Brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rclcpp-action (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rclcpp-action (0.9.1-1focal) focal; urgency=high

  * Added Quality declaration: rclcpp, rclpp_action, rclcpp_components andrclcpp_lifecycle (#1100 <https://github.com/ros2/rclcpp/issues/1100>)
  * Contributors: Alejandro Hernández Cordero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rclcpp-action (0.9.0-1focal) focal; urgency=high

  * Increasing test coverage of rclcpp_action (#1043 <https://github.com/ros2/rclcpp/issues/1043>)
  * Export targets in addition to include directories / libraries (#1096 <https://github.com/ros2/rclcpp/issues/1096>)
  * Deprecate redundant namespaces (#1083 <https://github.com/ros2/rclcpp/issues/1083>)

